Can't get pyperl to install.

Trent Mick trentm at ActiveState.com
Thu Aug 15 23:08:22 CEST 2002


I have gotten this to build successfully on RH6.2 with ActivePython
2.2.1 and ActivePerl 5.6.0. Another option if you just want pyperl (and
don't need to actually build it yourself):

    1. install ActivePython 2.2.1
    2. run this:
        > pyppm install pyperl

Trent


[Braun Brelin wrote]
> Hello,
> 
> I'm running RedHat 7.3 Linux and Perl 5.6.1 with threads enabled
> (usethreads and use5005threads are defined).  
> 
> I'm trying to install pyperl because I want to use ZopePerl. 
> 
> I get a failure when trying to perform a 'make' on Python-Object. 
> 
> The error I get is: 
> 
> cc -c -I"/usr/include/python2.2" -D_REENTRANT -fno-strict-aliasing
> -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2  
> -DVERSION=\"1.00\" -DXS_VERSION=\"1.00\" -fpic
> -I/usr/lib/perl5/5.6.1/i686-linux-thread/CORE -DMULTI_PERL Object.c
> Object.xs: In function `croak_on_py_exception':
> Object.xs:68: `thr' undeclared (first use in this function)
> Object.xs:68: (Each undeclared identifier is reported only once
> Object.xs:68: for each function it appears in.)
> make: *** [Object.o] Error 1
> 
> I have no clue as to what this is.  Can anyone help me?
> 
> Thanks,
> 
> Braun Brelin
> -- 
> http://mail.python.org/mailman/listinfo/python-list

-- 
Trent Mick
TrentM at ActiveState.com




More information about the Python-list mailing list